---
- name: Get Gitlab repository installation script
  ansible.builtin.get_url:
    url: https://packages.gitlab.com/install/repositories/runner/gitlab-runner/script.deb.sh
    dest: /tmp/gitlab-runner.script.deb.sh
    mode: 0744

- name: Install Gitlab repository
  ansible.builtin.command: bash /tmp/gitlab-runner.script.deb.sh
  #args:
      #creates: "/etc/apt/sources.list.d/runner_gitlab-runner.list"

- name: Install GitLab Runner
  ansible.builtin.apt:
    name: gitlab-runner
    state: latest
